Package: org.codehaus.groovy.ast.tools

## [Java] Class ClosureUtils

- org.codehaus.groovy.ast.tools.ClosureUtils

- Handy methods when working with the Closure expressions.

  Authors:
    Hamlet D'Arcy
    Sergei Egorov

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static String` | `convertClosureToSource(ReaderSource readerSource, ClosureExpression expression)` Converts a ClosureExpression into the String source.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### public static String convertClosureToSource(ReaderSource readerSource, ClosureExpression expression)

      Converts a ClosureExpression into the String source.

      throws:
        java.lang.IllegalArgumentException when expression is null
      throws:
        java.lang.Exception when closure can't be read from source
      Parameters:
        `readerSource` - a source
        `expression` - a closure. Can't be null
      Returns:
        the source the closure was created from